<bugID>1103284<Summary>Firefox UI becomes unresponsive upon hitting a breakpoint in an onchange handler</Summary><Description>User Agent: Mozilla/5.0 (X11; Linux x86_64; rv:33.0) Gecko/20100101 Firefox/33.0
Build ID: 20141113143407

Steps to reproduce:

1. Create a form with a text field.
2. Add an onchange event handler for that field.
3. Inside that event handler, create a breakpoint, either by placing the "debugger" directive, or by using the UI.
4. Load the page and trigger onchange event by making a change to the field and then tabbing away from it.

The bug was confirmed on Xubuntu 13.10, running the latest stable 64bit Firefox release for that dsistro: 3.1.1. I also verified it on the nightly binary release (firefox-36.0a1.en-US.linux-x86_64.tar.bz2) as well as the recently released Developer Edition (firefox-35.0a2.en-US.linux-x86_64.tar.bz2).

Finally, it was independently confirmed by the user guigs2, a top-10 contributor on the Mozilla Firefox support forum:

https://support.mozilla.org/en-US/questions/1031107


Actual results:

The debugger UI shows, but it - together with the entire rest of the Firefox UI - becomes completely unresponsive: the mouse cursor doesn't change when I hover over any widget, and clicking does nothing. There's no response to keyboard shortcuts as far as I tested them, though CTRL-r (refresh) does work sometimes.


Expected results:

The debugger UI, and the rest of the Firefox UI, should remain responsive.</Description></bugID>